
;;;; $Id$
;;;; $URL$

;;;; See the LICENSE file for licensing information.

(in-package #:cl-user)

(defpackage #:eow-system
    (:use #:cl #:asdf))

(in-package #:eow-system)

(defsystem eow
    :name "eow"
    :author "Gerd Flaig"
    :version "0.0.1"
    :licence "MIT"
    :description "Web Empire client"
    :in-order-to ((test-op (load-op eow-test)))
    :perform (test-op :after (op c)
		      (describe (funcall (intern "RUN-TESTS" :lift) 
					 :suite (intern "EMPIRE-TESTS"
							:empire-tests))))
    :depends-on (:usocket :hunchentoot :parenscript :lift)
    :components ((:file "package")
                 (:file "util"
                        :depends-on ("package"))
                 (:file "locked-queue"
                        :depends-on ("package"))
                 (:file "xdump"
                        :depends-on ("package"))
                 (:file "xdump-data"
                        :depends-on ("package" "xdump"))
		 (:file "log"
                        :depends-on ("package"))
		 (:file "web"
			:depends-on ("package" "locked-queue" "log"))
                 (:file "empire"
                        :depends-on ("util" "log" "xdump"))
		 (:file "unit-tests"
			:depends-on ("xdump"))))

(defsystem eow-test
  :components ((:file "unit-tests"))
  :depends-on ("eow" "lift"))
